org.eclipse.net4j.buffer

## Interface IBufferHandler

- All Known Subinterfaces:
    IChannel, IJVMChannel, InternalChannel, IProtocol<INFRA_STRUCTURE>, IProtocol2<INFRA_STRUCTURE>, ISignalProtocol<INFRA_STRUCTURE>
  All Known Implementing Classes:
    AuthenticatingSignalProtocol, BufferInputStream, Channel, ChannelInputStream, HeartBeatProtocol, HeartBeatProtocol.Server, Protocol, SignalProtocol

      public interface IBufferHandler

  Provides clients with the ability to pass `IBuffer`s in for further buffer handling.
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleBuffer(IBuffer buffer)` Handles an `IBuffer` and possibly releases it.

- - ### Method Detail

    - #### handleBuffer

          void handleBuffer(IBuffer buffer)

      Handles an `IBuffer` and possibly releases it.

      The implementor of this method takes over the ownership of the buffer. Care must be taken to properly `release` the buffer if the ownership is not explicitly passed on to some further party.

      Parameters:
        `buffer` - The buffer to be handled.

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html